Show / Hide Table of Contents

# Struct hkaSampleBlendJob

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaSampleBlendJob

### Fields

| Improve this Doc View Source

#### Animations

##### Declaration

    public hkaSampleBlendJob.SingleAnimation*Animations

##### Field Value

Type | Description
--- | ---
hkaSampleBlendJob.SingleAnimation* |

| Improve this Doc View Source

#### Bones

##### Declaration

    public hkaBone*Bones

##### Field Value

Type | Description
--- | ---
hkaBone* |

| Improve this Doc View Source

#### BonesOut

##### Declaration

    public hkQsTransformf*BonesOut

##### Field Value

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### ChunkBufferSize

##### Declaration

    public int ChunkBufferSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ConvertToModel

##### Declaration

    public byte ConvertToModel

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### FloatsOut

##### Declaration

    public float *FloatsOut

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### hkJob

##### Declaration

    public hkJob hkJob

##### Field Value

Type | Description
--- | ---
hkJob |

| Improve this Doc View Source

#### JobDoneNotifier

##### Declaration

    public hkaJobDoneNotifier JobDoneNotifier

##### Field Value

Type | Description
--- | ---
hkaJobDoneNotifier |

| Improve this Doc View Source

#### NumAnimationsAllocated

##### Declaration

    public ushort NumAnimationsAllocated

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### NumAnims

##### Declaration

    public ushort NumAnims

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### NumBones

##### Declaration

    public short NumBones

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### NumFloats

##### Declaration

    public int NumFloats

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### NumSkeletonBones

##### Declaration

    public short NumSkeletonBones

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ParentIndices

##### Declaration

    public short *ParentIndices

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### ReferenceBones

##### Declaration

    public hkQsTransformf*ReferenceBones

##### Field Value

Type | Description
--- | ---
hkQsTransformf* |

| Improve this Doc View Source

#### ReferenceFloats

##### Declaration

    public float *ReferenceFloats

##### Field Value

Type | Description
--- | ---
System.Single* |

| Improve this Doc View Source

#### ReferencePoseWeightThreshold

##### Declaration

    public float ReferencePoseWeightThreshold

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SampleOnly

##### Declaration

    public byte SampleOnly

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Skeleton

##### Declaration

    public hkaAnimatedSkeleton*Skeleton

##### Field Value

Type | Description
--- | ---
hkaAnimatedSkeleton* |

| Improve this Doc View Source

#### UseSlerpForQuantized

##### Declaration

    public byte UseSlerpForQuantized

##### Field Value

Type | Description
--- | ---
System.Byte |